      function stud_df(t) ! bernd berg mar 15 2003.
c student cumulative distributions function.
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      common /parstud/ nf
      a=half*nf
      b=half
      x=(nf*one)/((nf*one)+t**2)
      if(t.eq.zero) stud_df=    half
      if(t.lt.zero) stud_df=    half*beta_i(x,a,b)
      if(t.gt.zero) stud_df=one-half*beta_i(x,a,b)
      return
      end   
